Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid.lexicon
Class CoreLexicon

    java.lang.Object
      org.modeshape.sequencer.teiid.lexicon.CoreLexicon

    public class CoreLexicon

extends Object

Nested Class Summary
`static class` | `CoreLexicon.Namespace`

Field Summary
`static Name` | `ANNOTATED`
`static Name` | `DESCRIPTION`
`static Name` | `IMPORT`
`static Name` | `KEYWORDS`
`static Name` | `MODEL`
`static Name` | `MODEL_TYPE`
`static Name` | `ORIGINAL_FILE`
`static Name` | `PATH`
`static Name` | `PRIMARY_METAMODEL_URI`
`static Name` | `PRODUCER_NAME`
`static Name` | `PRODUCER_VERSION`
`static Name` | `TAGS`

Constructor Summary
`CoreLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODEL

    public static final Name MODEL

### ANNOTATED

    public static final Name ANNOTATED

### TAGS

    public static final Name TAGS

### PRIMARY_METAMODEL_URI

    public static final Name PRIMARY_METAMODEL_URI

### MODEL_TYPE

    public static final Name MODEL_TYPE

### ORIGINAL_FILE

    public static final Name ORIGINAL_FILE

### IMPORT

    public static final Name IMPORT

### PATH

    public static final Name PATH

### DESCRIPTION

    public static final Name DESCRIPTION

### KEYWORDS

    public static final Name KEYWORDS

### PRODUCER_NAME

    public static final Name PRODUCER_NAME

### PRODUCER_VERSION

    public static final Name PRODUCER_VERSION

Constructor Detail

### CoreLexicon

    public CoreLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.